<template>
	<view class="page">
		<web-view :src="src"></web-view>
	</view>
</template>

<script>
	import config from '@/config.js'
	export default {
		data() {
			return {
				src: ''
			}
		},
		onLoad(option) {
			//&id='+this.goods.id+'&sn='+this.goods.sn+'&total='+this.total+'&channel='+this.selectNum
			let id = option.id
			let sn = option.sn
			let total = option.total
			let channel = option.channel
			let title = option.title
			console.log(JSON.stringify(option))
			//var session = 'we7sid-' +  JSON.stringify(uni.getSystemInfoSync().appId);
			//	var callback = 'https://wetiandi.com/app/index.php?i=1&j=1&c=auth&a=devpay&do=recharge_pay_provider&id='+id+'&sn='+sn+'&title='+title+'&total='+total+'&channel='+channel
			//this.src = 'https://wetiandi.com/app/index.php?i=1&j=1&c=entry&m=wdl_shopping&do=alipayauth&redirect_uri=' + encodeURIComponent(callback) +'&state=' + session

			this.src = config.baseUrl+'app/index.php?i=1&j=1&c=auth&a=devpay&do=recharge_pay_provider&alipay_mini=1&id=' + id +
				'&sn=' + sn + '&title=' + title + '&total=' + total + '&channel=' + channel + '&state=' + option.sessionid
			//this.src= 'http://192.168.1.131:9090/app/index.php?i=1&j=1&c=auth&a=devpay&do=recharge_pay_provider&debug=1&id='+id+'&sn='+sn+'&title='+title+'&total='+total+'&channel='+channel+'&state='+option.sessionid
		}
	}
</script>

<style>

</style>